Arch Truss/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "==Właściwości==")
(Created page with "===Dane===")
Line 49: Line 49:
==Właściwości==
==Właściwości==


<span id="Data"></span>
=== Data ===
===Dane===


* {{PropertyData|TrussAngle}}: The angle of the truss
* {{PropertyData|TrussAngle}}: The angle of the truss

Revision as of 05:33, 5 May 2024

Architektura: Wiązar

Lokalizacja w menu
Architektura → Wiązar
Środowisko pracy
Architektura
Domyślny skrót
brak
Wprowadzono w wersji
0.19
Zobacz także
brak

Opis

Narzędzie Wiązar tworzy obiekt wiązara z wybranego obiektu liniowego (takiego jak linia lub szkic) lub od podstaw, jeśli żaden obiekt nie został wybrany podczas uruchamiania polecenia.

Użycie

Tworzenie z wybranego obiektu

  1. Użyj wybranego środowiska pracy, aby utworzyć pojedynczą linię
  2. Wybierz tę linię.
  3. Naciśnij przycisk Wiązar.
  4. Dostosuj właściwości kratownicy do swoich potrzeb.


Tworzenie od podstaw

  1. Upewnij się, że nic nie jest zaznaczone
  2. Naciśnij przycisk Wiązar.
  3. Kliknij w widoku 3D, aby zdefiniować pierwszy punkt lub ręcznie wprowadź współrzędne X, Y i Z.
  4. Kliknij w widoku 3D, aby zdefiniować drugi punkt lub ręcznie wprowadź współrzędne X, Y i Z.
  5. Dostosuj właściwości kratownicy do własnych potrzeb.

Właściwości

Dane

  • DANETrussAngle: The angle of the truss
  • DANESlantType: The slant type of this truss
  • DANENormal: The normal direction of this truss
  • DANEHeightStart: The height of the truss at the start position
  • DANEHeightEnd: The height of the truss at the end position
  • DANEStrutStartOffset: An optional start offset for the top strut
  • DANEStrutEndOffset: An optional end offset for the top strut
  • DANEStrutHeight: The height of the main top and bottom elements of the truss
  • DANEStrutWidth: The width of the main top and bottom elements of the truss
  • DANERodType: The type of the middle element of the truss
  • DANERodDirection: The direction of the rods
  • DANERodSize: The diameter or side of the rods
  • DANERodSections: The number of rod sections
  • DANERodEnd: If the truss has a rod at its endpoint or not
  • DANERodMode: How to draw the rods

Scripting

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Example:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties